Attunity Connector

Arun Jose 1 Reputation point
2022-05-06T01:08:24.6+00:00

We have SQL Server integration services 2016, Sql Server 2016. We are using Attunity connector 4.0 to connect to Oracle (12C) from SSIS. Now the organization is upgrading to Oracle 19C. Do you know the Attunity connector will work in 19C? The product documentation of both Attunity Connector 4.0 and 5.0 says, its supported only till 12.C.

Can you please confirm will it work with 19C / any future patching of oracle may break the attunity conenctor as it says not supported with 19C?

https://www.microsoft.com/en-us/download/details.aspx?id=55179

https://www.microsoft.com/en-us/download/details.aspx?id=52950

SQL Server Integration Services
SQL Server Integration Services
A Microsoft platform for building enterprise-level data integration and data transformations solutions.
2,509 questions
0 comments No comments
{count} votes

1 answer

Sort by: Most helpful
  1. ZoeHui-MSFT 34,996 Reputation points
    2022-05-06T02:12:15.743+00:00

    Hi @Arun Jose ,

    Here is a new component named Microsoft Connector for Oracle.

    Microsoft Connector for Oracle enables the ability to export data from and load data into Oracle data source in an SSIS package.

    The following Oracle database versions of data source are supported:

    Oracle 10.x
    Oracle 11.x
    Oracle 12c
    Oracle 18c (without Windows Authentication support)
    Oracle 19c (without Windows Authentication support)

    Please also note the following Microsoft SQL Server products are supported by Microsoft Connector for Oracle:

    Since SQL Server 2019 CU1
    SQL Server Data Tools (SSDT) 15.9.3 or later for Visual Studio 2017
    Microsoft SQL Server Data Tools (SSDT) for Visual Studio 2019

    Please refer to oracle-connector.

    Regards,

    Zoe


    If the answer is the right solution, please click "Accept Answer" and kindly upvote it. If you have extra questions about this answer, please click "Comment".

    Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.